Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-24462

Evaluate Kafka 0.10.2 support

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 10.1
    • Component/s: Streams
    • Release Notes Description:
      Hide

      Nuxeo 9.10 and 10.1 which rely on Kafka client lib version 1.0.0 is compatible with a Kafka server version 0.10.2.
      We still recommend using the latest stable 1.0 version.

      Show
      Nuxeo 9.10 and 10.1 which rely on Kafka client lib version 1.0.0 is compatible with a Kafka server version 0.10.2. We still recommend using the latest stable 1.0 version.
    • Sprint:
      nxcore 10.1.5
    • Story Points:
      0

      Description

      Just add a docker compose with the kafka version to check if it works.

      Also https://cwiki.apache.org/confluence/display/KAFKA/Compatibility+Matrix

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 2 hours
                2h

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.